package aidl (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/aidl', which is also in package google-android-build-tools-installer:i386 23.0.2.1

Bug #1698502 reported by Woodzy on 2017-06-17
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
android-platform-frameworks-base (Ubuntu)
Undecided
Unassigned
android-platform-system-tools-aidl (Ubuntu)
Undecided
Unassigned
google-android-build-tools-installer (Ubuntu)
Undecided
Unassigned

Bug Description

got this error when trying to remove app.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: aidl (not installed)
ProcVersionSignature: Ubuntu 4.8.0-54.57~16.04.1-generic 4.8.17
Uname: Linux 4.8.0-54-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.20.1-0ubuntu2.6
Architecture: amd64
Date: Fri Jun 16 21:03:43 2017
DuplicateSignature:
 package:aidl:(not installed)
 Unpacking aidl (1:6.0.1+r16-1) over (1:6.0.1+r16-1) ...
 dpkg: error processing archive /var/cache/apt/archives/aidl_1%3a6.0.1+r16-1_amd64.deb (--unpack):
  trying to overwrite '/usr/bin/aidl', which is also in package google-android-build-tools-installer:i386 23.0.2.1
ErrorMessage: trying to overwrite '/usr/bin/aidl', which is also in package google-android-build-tools-installer:i386 23.0.2.1
InstallationDate: Installed on 2017-06-15 (1 days ago)
InstallationMedia: Lubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt 1.2.20
SourcePackage: android-platform-frameworks-base
Title: package aidl (not installed) failed to install/upgrade: trying to overwrite '/usr/bin/aidl', which is also in package google-android-build-tools-installer:i386 23.0.2.1
UpgradeStatus: No upgrade log present (probably fresh install)

Woodzy (rtdos) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

information type: Private Security → Public
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in android-platform-frameworks-base (Ubuntu):
status: New → Confirmed
Changed in google-android-build-tools-installer (Ubuntu):
status: New → Confirmed
Hans Joachim Desserud (hjd) wrote :

Thanks for reporting.

I did some research and found that the aidl binary was moved out of android-platform-frameworks-base and into a separate package, android-platform-system-tools-aidl, in later releases. (See https://tracker.debian.org/media/packages/a/android-platform-frameworks-base/changelog-1%3A7.0.0%2Br33-1 for more details on this). So it might be that this issue is fixed in 17.04 and newer, though the other package might have similar conflicts when attempting to install it alongside google-android-build-tools-installer. I'm not able to check either way though since I don't have an i386 system at hand...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in android-platform-system-tools-aidl (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers